Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.edm.services.configuration
Class ObjectNodeConfig

    java.lang.Object
      com.sun.mdm.index.edm.services.configuration.ObjectNodeConfig

All Implemented Interfaces:
  java.lang.Comparable, java.io.Serializable

public class ObjectNodeConfig
extends java.lang.Object
implements java.io.Serializable, java.lang.Comparable

Description of the Class

See Also:
  Serialized Form

Constructor Summary
`ObjectNodeConfig(java.lang.String name)` Constructor for the ObjectNodeConfig object

Method Summary
`(package private) void` | `addChildConfig(ObjectNodeConfig childConfig)`
`(package private) void` | `addFieldConfig(FieldConfig fieldConfig)`
`int` | `compareTo(java.lang.Object obj)`
`ObjectNodeConfig` | `getChildConfig(java.lang.String childObjectName)`
`ObjectNodeConfig[]` | `getChildConfigs()`
`ObjectNodeConfig` | `getConfigForNode(java.lang.String nodeName)`
`int` | `getDisplayOrder()` Gets the displayOrder attribute of the object
`FieldConfig` | `getFieldConfig(java.lang.String fieldName)` Gets the configurationForField attribute of the ObjectNodeConfig object
`FieldConfig` | `getFieldConfig(java.lang.String objRef, java.lang.String fieldName)`
`FieldConfig[]` | `getFieldConfigs()`
`FieldConfig[]` | `getKeyFieldConfigs()` Gets the keyFieldConfigList attribute of the EnterpriseObjectConfig object
`boolean` | `getMustDelete()` Gets the mustDelete attribute of the object
`java.lang.String` | `getName()`
`ObjectNodeConfig` | `getParentNode()`
`boolean` | `isRootNode()`
`(package private) void` | `setDisplayOrder(int val)` Sets the displayOrder attribute of the object
`(package private) void` | `setMustDelete(boolean val)` Sets the mustDelete attribute of the object
`void` | `setParentNode(ObjectNodeConfig parent)`
`(package private) void` | `setRootNode(boolean val)`
`java.lang.String` | `toString()` Description of the Method

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.lang.Comparable
`compareTo`

Constructor Detail

### ObjectNodeConfig

    public ObjectNodeConfig(java.lang.String name)

  Constructor for the ObjectNodeConfig object

  Parameters:
    `name` - Description of the Parameter

Method Detail

### addChildConfig

    void addChildConfig(ObjectNodeConfig childConfig)

### addFieldConfig

    void addFieldConfig(FieldConfig fieldConfig)

### compareTo

    public int compareTo(java.lang.Object obj)

  Parameters:
    `obj` - the other obj
  Returns:
    the result: greater than 0, equal to 0, or less than 0

### getChildConfig

    public ObjectNodeConfig getChildConfig(java.lang.String childObjectName)

  Parameters:
    `childObjectName` - name of the child object
  Returns:
    the child object node config object

### getChildConfigs

    public ObjectNodeConfig[] getChildConfigs()

  Returns:
    the child object node config objects

### getConfigForNode

    public ObjectNodeConfig getConfigForNode(java.lang.String nodeName)

  Parameters:
    `nodeName` - name of the object node
  Returns:
    the object node config for the named object

### getDisplayOrder

    public int getDisplayOrder()

  Gets the displayOrder attribute of the object

  Returns:
    The displayOrder value

### getFieldConfig

    public FieldConfig getFieldConfig(java.lang.String fieldName)

  Gets the configurationForField attribute of the ObjectNodeConfig object

  Parameters:
    `fieldName` - Description of the Parameter
  Returns:
    the field config for the named field

### getFieldConfig

    public FieldConfig getFieldConfig(java.lang.String objRef,
                                      java.lang.String fieldName)

  Parameters:
    `objRef` - obj ref of the field
    `fieldName` - name of the field
  Returns:
    the field config for the field specified by the objref and fieldname

### getFieldConfigs

    public FieldConfig[] getFieldConfigs()

  Returns:
    the field config objects

### getKeyFieldConfigs

    public FieldConfig[] getKeyFieldConfigs()

  Gets the keyFieldConfigList attribute of the EnterpriseObjectConfig object

  Returns:
    The keyFieldConfigList value

### getMustDelete

    public boolean getMustDelete()

  Gets the mustDelete attribute of the object

  Returns:
    the must delete value

### getName

    public java.lang.String getName()

  Returns:
    name of the object

### getParentNode

    public ObjectNodeConfig getParentNode()

  Returns:
    parent node of the object, null if it is a root node

### isRootNode

    public boolean isRootNode()

  Returns:
    whether the node is a root onde

### setDisplayOrder

    void setDisplayOrder(int val)

  Sets the displayOrder attribute of the object

  Parameters:
    `val` - the display order to be set to

### setMustDelete

    void setMustDelete(boolean val)

  Sets the mustDelete attribute of the object

  Parameters:
    `val` - the must delete to be set to

### setParentNode

    public void setParentNode(ObjectNodeConfig parent)

  Parameters:
    `parent` - node of the object, null if it is a root node

### setRootNode

    void setRootNode(boolean val)

### toString

    public java.lang.String toString()

  Description of the Method

  Returns:
    Description of the Return Value

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.